cURL
curl --request GET \
--url https://api.apps.paloaltonetworks.com/ai_gw/admin/v2/integrations/{slug} \
--header 'Authorization: Bearer <token>'import requests
url = "https://api.apps.paloaltonetworks.com/ai_gw/admin/v2/integrations/{slug}"
headers = {"Authorization": "Bearer <token>"}
response = requests.get(url, headers=headers)
print(response.text)const options = {method: 'GET', headers: {Authorization: 'Bearer <token>'}};
fetch('https://api.apps.paloaltonetworks.com/ai_gw/admin/v2/integrations/{slug}', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));
{
"id": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"organisation_id": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"ai_provider_id": "<string>",
"name": "<string>",
"status": "active",
"created_at": "2023-11-07T05:31:56Z",
"last_updated_at": "2023-11-07T05:31:56Z",
"slug": "<string>",
"description": "<string>",
"object": "integration",
"masked_key": "<string>",
"configurations": {
"openai_organization": "<string>",
"openai_project": "<string>"
},
"global_workspace_access_settings": {
"enabled": true,
"usage_limits": [
{
"credit_limit": 2,
"type": "cost",
"alert_threshold": 2,
"periodic_reset": "monthly",
"periodic_reset_days": 183,
"next_usage_reset_at": "2023-11-07T05:31:56Z"
}
],
"rate_limits": [
{
"type": "requests",
"unit": "rpd",
"value": 123
}
]
},
"allow_all_models": true,
"workspace_count": 123,
"secret_mappings": [
{
"target_field": "<string>",
"secret_reference_id": "<string>",
"secret_key": "<string>",
"value_format": "json"
}
],
"pricing_adjustments": {
"multiplier": {
"default": 1,
"request_token": 1,
"response_token": 1,
"cache_read_input_token": 1,
"cache_write_input_token": 1,
"cache_read_audio_input_token": 1,
"request_audio_token": 1,
"response_audio_token": 1,
"reasoning_token": 1,
"prediction_accepted_token": 1,
"prediction_rejected_token": 1,
"request_image_token": 1,
"response_image_token": 1,
"request_text_token": 1,
"response_text_token": 1,
"cache_read_image_input_token": 1,
"cache_read_text_input_token": 1,
"cache_write_text_input_token": 1,
"cache_write_image_input_token": 1,
"image": {
"default": 1
},
"additional_units": {}
}
}
}Get integrations by slug
GET
/
integrations
/
{slug}
cURL
Authorizations
Bearer authentication header of the form Bearer <token>, where <token> is your auth token.
Path Parameters
Response
200 - application/json
Available options:
active, archived Available options:
integration - OpenAI
- Azure OpenAI
- AWS Bedrock
- Vertex AI
- Azure AI
- Workers AI
- AWS Sagemaker
- Hugginface
- Cortex
- Custom Base URL
Show child attributes
Show child attributes
Show child attributes
Show child attributes
Show child attributes
Show child attributes
Show child attributes
Show child attributes
Last modified on September 15, 2026
Was this page helpful?

